# role-template

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/role-template/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/role-template)

A template for generating new roles with [cookiecutter](https://cookiecutter.readthedocs.io).

Features:

- Meta information specifically for Autonomic
- Only mandatory directories included, keeping it simple

## Usage

```bash
$ pip install cookiecutter
$ cookiecutter https://git.autonomic.zone/autonomic-cooperative/role-template
```

If you're looking for a molecule folder, try the [molecule-template](https://git.autonomic.zone/autonomic-cooperative/molecule-template) instead.

## Arguments

- **role_directory**: Name of the standard role role directory (default: `role`)
- **role_name**: Name of the role that role files are embedded in (default: `autonomic.mynewrole`)
- **scenario_type**: Name of the role scenario (default: `default`)
- **server_type**: Hetzner Cloud server type (default: `cx11`)
- **server_image**: Hetzner Cloud image type (default: `debian-10`)
